%define name	scanssh
%define version 2.1
%define release 2mdk

Summary:	Scans the given addresses and networks for running SSH servers.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Other
URL:		http://www.monkey.org/~provos/scanssh/
Source0:	http://www.monkey.org/~provos/scanssh/%{name}-%{version}.tar.bz2
Patch0:		scanssh-no-locincpth.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libpcap >= 0.8
BuildRequires:	libpcap-devel >= 0.8
BuildRequires:	libevent >= 0.8
BuildRequires:	libevent-devel >= 0.8
BuildRequires:	libdnet-devel >= 1.7

%description
Scanssh scans the given addresses and networks for running SSH
servers.  It will query their version number and displays the results
in a list.

This program was originally written under OpenBSD as a personal
measurement tool.  However, besides gathering statistics, it's also
useful for other purposes such as ensuring that all machines on your
network run the latest SSH versions, etc...

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0 

%build

%configure2_5x

# work around --recheck
touch *

%make CFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 scanssh %{buildroot}%{_sbindir}
install -m644 scanssh.1 %{buildroot}%{_mandir}/man1
  
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README
%{_sbindir}/scanssh
%{_mandir}/*/*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdk
- 2.1

* Mon Dec  6 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-4mdk
- rebuilt against new libevent

* Wed Sep 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-3mdk
- Rebuild

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-2mdk
- rebuilt against new libdnet

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-1mdk
- 2.0
- fix buildrequires
- use the %%configure2_5x macro

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6b-5mdk
- buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6b-4mdk
- rebuild

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6b-3mdk
- build release

* Fri May 31 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6b-2mdk
- rebuilt with gcc3.1
- added P0 (thanks Gwenole)

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6b-1mdk
- new version

* Fri Sep 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.55-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- re-added into cooker contribs (but from another src.rpm author)...

* Mon May 14 2001 Riku Meskanen <mesrik@iki.fi>
- Checked the 'rpm -tb scanssh-1.55.tar.gz' magic works with rpm 4 too :)
- Checked the rebuild under Red Hat 6.2, passed
- Wrote to author of the scanssh and contributed package spec file

* Wed May 2 2001 Riku Meskanen <mesrik@iki.fi>
- Created spec file and did initial build with Red Hat 7.1
